package com.dgtly.notice.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;
import java.util.Date;

/**
 * 【请填写功能名称】对象 notice_demand
 * 
 * @author dgtly
 * @date 2020-02-13
 */
public class NoticeDemand extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 需求信息表id */
    private Long id;

    /** 会员信息表id */
    @Excel(name = "会员信息表id")
    private Long memberId;

    /** 求购标题 */
    @Excel(name = "求购标题")
    private String purchaseTitle;

    /** 需求概要 */
    @Excel(name = "需求概要")
    private String summaryOfNeeds;

    /** 需求详情 */
    @Excel(name = "需求详情")
    private String demandDetails;

    /** 联系人 */
    @Excel(name = "联系人")
    private String contacts;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String contactNumber;

    /** 发布时间 */
    @Excel(name = "发布时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date releaseTime;

    /** 需求信息状态 */
    @Excel(name = "需求信息状态")
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setMemberId(Long memberId) 
    {
        this.memberId = memberId;
    }

    public Long getMemberId() 
    {
        return memberId;
    }
    public void setPurchaseTitle(String purchaseTitle) 
    {
        this.purchaseTitle = purchaseTitle;
    }

    public String getPurchaseTitle() 
    {
        return purchaseTitle;
    }
    public void setSummaryOfNeeds(String summaryOfNeeds) 
    {
        this.summaryOfNeeds = summaryOfNeeds;
    }

    public String getSummaryOfNeeds() 
    {
        return summaryOfNeeds;
    }
    public void setDemandDetails(String demandDetails) 
    {
        this.demandDetails = demandDetails;
    }

    public String getDemandDetails() 
    {
        return demandDetails;
    }
    public void setContacts(String contacts) 
    {
        this.contacts = contacts;
    }

    public String getContacts() 
    {
        return contacts;
    }
    public void setContactNumber(String contactNumber) 
    {
        this.contactNumber = contactNumber;
    }

    public String getContactNumber() 
    {
        return contactNumber;
    }
    public void setReleaseTime(Date releaseTime) 
    {
        this.releaseTime = releaseTime;
    }

    public Date getReleaseTime() 
    {
        return releaseTime;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("memberId", getMemberId())
            .append("purchaseTitle", getPurchaseTitle())
            .append("summaryOfNeeds", getSummaryOfNeeds())
            .append("demandDetails", getDemandDetails())
            .append("contacts", getContacts())
            .append("contactNumber", getContactNumber())
            .append("releaseTime", getReleaseTime())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("remark", getRemark())
            .toString();
    }
}
